%define name	kaconnect
%define version	1.1.1
%define release 3mdk

Name: 	 	%{name}
Summary: 	QT frontend for ALSA sequencer
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.suse.de/~mana/kalsatools.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel libalsa-devel
Patch1:		kaconnect-build-x86-64.patch.bz2

%description
Kaconnect is a QT version of the aconnect utility for the  ALSA  sequencer
system.

%prep
%setup -q
perl -p -i -e "s/gcc/gcc\ $RPM_OPT_FLAGS/g" make_kaconnect
%ifarch x86_64
%patch1 -p1 -b build64
%endif
%build
%make -f make_kaconnect
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="KAConnect" longtitle="ALSA connections" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README THANKS
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Fri Jul 15 2005 Laurent MONTEL <lmontel@mandriva.com> 1.1.1-3mdk
- Fix build on x86_64

* Wed Jun 16 2004 Austin Acton <austin@mandrake.org> 1.1.1-2mdk
- rebuild

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 1.1.1-1mdk
- initial package
